> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onramp Quote

> Get a quote to onramp fiat to crypto. This does not affect your Bullring balance.



## OpenAPI

````yaml /api-reference/openapi.json post /v2/ramp/{subaccountId}/banking/onramp/quote
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v2/ramp/{subaccountId}/banking/onramp/quote:
    post:
      tags:
        - Onramp
      summary: Get Onramp Quote
      description: >-
        Get a quote to onramp fiat to crypto. This does not affect your Bullring
        balance.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: object
                  properties:
                    amount:
                      type: number
                      description: >-
                        The fiat amount to determine the quote. if provided, the
                        quote will be based on the provided amount. if provided,
                        to.amount should not be provided.
                    currency:
                      type: string
                  required:
                    - currency
                to:
                  type: object
                  properties:
                    asset:
                      type: string
                      enum:
                        - STABLE_SATS
                        - USDC
                        - USDT
                    chain:
                      type: string
                      enum:
                        - lightning
                        - SOL-DEVNET
                        - ETH-SEPOLIA
                        - ETH
                        - SOL
                        - MATIC
                      description: |2-
                         **Production:** `lightning`, `ETH`, `SOL`.

                        **Staging:** `lightning`, `SOL-DEVNET`, `ETH-SEPOLIA`.
                    amount:
                      type: number
                      description: >-
                        The crypto amount to determine the quote. if provided,
                        the quote will be based on the provided amount. if
                        provided, from.amount should not be provided.
                  required:
                    - asset
                    - chain
            example:
              from:
                amount: 500
                currency: BRL
              to:
                asset: STABLE_SATS
                chain: lightning
      responses:
        '200':
          description: Successful quote
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  from:
                    type: object
                    properties:
                      amount:
                        type: string
                      currency:
                        type: string
                  to:
                    type: object
                    properties:
                      asset:
                        type: string
                      gross_amount:
                        type: string
                      net_amount:
                        type: string
                  pricing:
                    type: object
                    properties:
                      fx_rate:
                        type: string
                      fees:
                        type: object
                        properties:
                          onramp_fee:
                            type: string
                          onramp_fee_currency:
                            type: string
                          network_fee:
                            type: string
                          network_fee_asset:
                            type: string
                          total_fees:
                            type: string
                          total_fees_currency:
                            type: string
              example:
                type: onramp
                from:
                  amount: '500'
                  currency: BRL
                to:
                  asset: STABLE_SATS
                  gross_amount: '95.47'
                  net_amount: '94.68'
                pricing:
                  fx_rate: '0.19094342357815985'
                  fees:
                    onramp_fee: '1.5'
                    onramp_fee_currency: brl
                    network_fee: '0.51'
                    network_fee_asset: STABLE_SATS
                    total_fees: '4.12'
                    total_fees_currency: brl
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````